org.apache.ode.bpel.pmapi

## Interface CommunicationType.ServiceConfig

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    CommunicationTypeImpl.ServiceConfigImpl
  Enclosing interface:
    CommunicationType

      public static interface CommunicationType.ServiceConfig
      extends org.apache.xmlbeans.XmlObject

  An XML serviceConfig(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CommunicationType.ServiceConfig.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReplayType` | `addNewReplayType()` Appends and returns a new empty "replayType" element
    `ReplayType` | `getReplayType()` Gets the "replayType" element
    `javax.xml.namespace.QName` | `getService()` Gets the "service" element
    `void` | `setReplayType(ReplayType replayType)` Sets the "replayType" element
    `void` | `setService(javax.xml.namespace.QName service)` Sets the "service" element
    `org.apache.xmlbeans.XmlQName` | `xgetService()` Gets (as xml) the "service" element
    `void` | `xsetService(org.apache.xmlbeans.XmlQName service)` Sets (as xml) the "service" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getService

          javax.xml.namespace.QName getService()

      Gets the "service" element

    - #### xgetService

          org.apache.xmlbeans.XmlQName xgetService()

      Gets (as xml) the "service" element

    - #### setService

          void setService(javax.xml.namespace.QName service)

      Sets the "service" element

    - #### xsetService

          void xsetService(org.apache.xmlbeans.XmlQName service)

      Sets (as xml) the "service" element

    - #### getReplayType

          ReplayType getReplayType()

      Gets the "replayType" element

    - #### setReplayType

          void setReplayType(ReplayType replayType)

      Sets the "replayType" element

    - #### addNewReplayType

          ReplayType addNewReplayType()

      Appends and returns a new empty "replayType" element